package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserObject;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserObject] 服务对象接口
 */
public interface IUserObjectClientService{

    public IUserObject createModel() ;

    public void checkKey(IUserObject userobject);

    public void save(IUserObject userobject);

    public void create(IUserObject userobject);

    public void getDraft(IUserObject userobject);

    public void remove(IUserObject userobject);

    public void get(IUserObject userobject);

    public void update(IUserObject userobject);

    public Page<IUserObject> fetchDefault(SearchContext context);

}
